[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TParser.SourcePos

Returns the current position in the stream.

## Declaration

Source position: classesh.inc line 1525

`public function TParser.SourcePos: LongInt;`

## Description

Remark: | This is not the character position relative to the current source line, but the byte offset from the beginning of the stream.

## Errors

None.

## See also

TParser.SourceLine |  | Current source line number.

Documentation generated on: Feb 26 2014